#!/bin/sh -e

# stock database contents
mysqladmin create zabbix
cd /usr/share/doc/zabbix-server-mysql-*
cat schema.sql images.sql data.sql | mysql zabbix

service zabbix_mysql start

# get configured timezone name (see tzupdate)
tz_name= 
if [ -s "$conf_file" ]; then 
	tz_name="$(cat -- "$conf_file")" 
fi 
[ -n "$tz_name" ] || if [ -s "$env_file" ]; then 
	tz_name="$(ZONE= && . "$env_file" && printf %s "$ZONE")" 
fi 
[ -n "$tz_name" ] || tz_name="Europe/Moscow"

# tweak PHP defaults as expected by zabbix frontend
dir="$(find /etc/php/*/apache2-mod_php/php.d -maxdepth 0 -type d | tail -1)"
cfg="$dir/zabbix-server.ini"
if [ -n "$dir" -a ! -s "$cfg" ]; then
	cat > "$cfg" <<-EOF
	[PHP]
	max_input_time = 300
	max_execution_time = 300
	post_max_size = 16M

	[Date]
	date.timezone = $tz_name
	EOF
fi
service httpd2 condreload
